import request from '/@/utils/request';

export function Add(params: string) {
	return request({
		url: '/patient/hemo/med/dialysis/scheme/add',
		method: 'post',
		data: params,
	});
}
export function update(params: string) {
	return request({
		url: '/patient/hemo/med/dialysis/scheme/update',
		method: 'post',
		data: params,
	});
}

//智能审核
export function intelligentReview(params: object) {
	return request({
		url: '/patient/hemo/med/dialysis/scheme/intelligentReview',
		method: 'post',
		params,
	});
}

export function deleteId(params: string) {
	return request({
		url: '/patient/hemo/med/dialysis/scheme/delete',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		data: params,
	});
}
export function list(params: object) {
    return request({
		url: '/patient/hemo/med/dialysis/scheme/list',
		method: 'post',
		headers: {
		'Content-Type': 'application/x-www-form-urlencoded'
		},
		params
    })
}
export function getCurrentMedSchemeOfPatient(params: object):any {
    return request({
		url: '/patient/hemo/med/dialysis/scheme/getCurrentMedSchemeOfPatient',
		method: 'post',
		headers: {
		'Content-Type': 'application/x-www-form-urlencoded'
		},
		params
    })
}
export function save(params: object) {
    return request({
		url: '/patient/hemo/med/dialysis/scheme/save',
		method: 'post',
		data: params,
    })
}
export function preSave(params: object) {
    return request({
		url: '/patient/hemo/med/body/state/pre/update',
		method: 'post',
		data: params,
    })
}
export function preSave2(params: object) {
    return request({
		url: '/patient/hemo/med/body/state/pre/save',
		method: 'post',
		data: params,
    })
}
export function getStatePre(params: object) {
    return request({
		url: '/patient/hemo/med/body/state/pre/list',
		method: 'post',
		headers: {
		'Content-Type': 'application/x-www-form-urlencoded'
		},
		params
    })
}
export function syncToPatient(params: object) {
    return request({
        url: '/patient/hemo/med/dialysis/scheme/syncToPatient',
        method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
        params
    })
}
export function updateSchemeTool(params: object) {
    return request({
        url: '/patient/hemo/med/record/updateSchemeTool',
        method: 'post',
        data:params
    })
}


